# tbb::internal::machine_load_store_seq_cst< T, 8 > Struct Template Reference

`#include <tbb_machine.h>`

List of all members.

## Static Public Member Functions

static T | load (const volatile T &location)
static void | store (volatile T &location, T value)

## Detailed Description

### template<typename T>
struct tbb::internal::machine_load_store_seq_cst< T, 8 >

The implementation does not use functions __TBB_machine_load8/store8 as they are not required to be sequentially consistent.

The documentation for this struct was generated from the following file:

- tbb_machine.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.